explain_realloc_or_die(3)

NAME
explain_realloc_or_die - Allocate and free dynamic memory and report errors

SYNOPSIS
#include <libexplain/realloc.h>

void explain_realloc_or_die(void *ptr, size_t size);

DESCRIPTION
The explain_realloc_or_die function is used to call the realloc(3) system call. On failure an explanation will be printed to stderr, obtained from explain_realloc(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    void *new_ptr = explain_realloc_or_die(ptr, size);

ptr The ptr, exactly as to be passed to the realloc(3) system call.

size
    The size, exactly as to be passed to the realloc(3) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

realloc(3)
    Allocate and free dynamic memory

explain_realloc(3)
    explain realloc(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller